LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XClipboardNotifier Interface Referencepublished

`import"XClipboardNotifier.idl";`

Inheritance diagram for XClipboardNotifier:

## Public Member Functions
void | addClipboardListener ([in] XClipboardListener listener)
| Requests notifications on clipboard content changes. More...
void | removeClipboardListener ([in] XClipboardListener listener)
| Removes listener from notification list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addClipboardListener()

void addClipboardListener | ( | [in] XClipboardListener | listener | ) |

Requests notifications on clipboard content changes.

Parameters

  listener | The object receiving the notifications.

## ◆ removeClipboardListener()

void removeClipboardListener | ( | [in] XClipboardListener | listener | ) |

Removes listener from notification list.

Parameters

  listener | The object to remove from notification list.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XClipboardNotifier.idl